package net.xinhuamm.xycloud.xinhuamm_xycloud

import android.app.Activity
import android.content.Context

import io.flutter.embedding.engine.plugins.FlutterPlugin
import io.flutter.embedding.engine.plugins.activity.ActivityAware
import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result

/** XinhuammXycloudPlugin */
class XinhuammXycloudPlugin : FlutterPlugin, MethodCallHandler, ActivityAware {
    /// The MethodChannel that will the communication between Flutter and native Android
    ///
    /// This local reference serves to register the plugin with the Flutter Engine and unregister it
    /// when the Flutter Engine is detached from the Activity
    private lateinit var channel: MethodChannel
    private lateinit var context: Context
    private lateinit var activity: Activity

    override fun onAttachedToEngine(flutterPluginBinding: FlutterPlugin.FlutterPluginBinding) {
        channel = MethodChannel(flutterPluginBinding.binaryMessenger, "xinhuamm_xycloud")
        channel.setMethodCallHandler(this)
        XYCloudManager.setMethodChannel(channel)// 设置MethodChannel，目的调用dart方法
        context = flutterPluginBinding.applicationContext
    }

    override fun onMethodCall(call: MethodCall, result: Result) {
        if (call.method == "openCloudPage") {
            XYCloudManager.openCloudActivity(activity, call.arguments.toString())
        } else if (call.method == "setCloudGlobalConfig") {
            XYCloudManager.setCloudIsDebug(call.argument<Boolean>("isDebug") ?: false)
            XYCloudManager.setCloudThemeColor(call.argument<String>("themeColor") ?: "#f38242")
            XYCloudManager.setCloudUserAgent(call.argument<String>("userAgent") ?: "xinhuamm DV/1")
        } else {
            result.notImplemented()
        }
    }

    override fun onDetachedFromEngine(binding: FlutterPlugin.FlutterPluginBinding) {
        channel.setMethodCallHandler(null)
    }

    override fun onAttachedToActivity(binding: ActivityPluginBinding) {
        activity = binding.activity
    }

    override fun onDetachedFromActivityForConfigChanges() {

    }

    override fun onReattachedToActivityForConfigChanges(binding: ActivityPluginBinding) {

    }

    override fun onDetachedFromActivity() {

    }
}
