//
//  XYCloudManager.h
//  xinhuamm_xycloud
//
//  Created by 邓付磊 on 2023/10/30.
//

#import <Foundation/Foundation.h>

@interface XYCloudManager : NSObject
/// url
@property (nonatomic, copy)   NSString *url;
/// 主题色：#f38242
@property (nonatomic, copy)   NSString *themeColor;
/// 导航背景色
@property (nonatomic, copy)   NSString *navigationColor;
/// UA标志符可不传，默认：@"xinhuamm DV/2"
@property (nonatomic, copy)   NSString *userAgent;
/// 这个和微信支付回调的链接域名的有关系的可不传， 默认：@"yc.market.xinhuamm.net://"
@property (nonatomic, copy)   NSString *weixinSchemeUrl;
/// app 私有协议 可不传，默认 @"yc.market.xinhuamm.net:alipay://"
@property (nonatomic, copy)   NSString *appUrlScheme;
/// 登陆用户的id
@property (nonatomic, copy)   NSString *userId;
/// 登陆用户的phone
@property (nonatomic, copy)   NSString *phone;
/// 允许外部设置O2OController页面的frame
@property (nonatomic, assign) CGRect o2oViewFrame;
/// 是否展示导航条，公有云需要展示o2o 不需要，默认 NO；
@property (nonatomic, assign) BOOL showNavigationBar;
/// 用户唯一标识（js通过交互过来获取）
@property (nonatomic, copy)   NSString *appUserToken;


+ (instancetype)shareInstance;

/// 是否登陆
- (BOOL)isLogin;

/// 清理用户
- (void)clearUser;
/// 进入O2O页面
/// - Parameters:
///   - controller: 从哪个控制器跳转，如果为nil的话默认是rootViewController
///   - isPush: YES & controller.navigationController 存在，使用push方式，反之Model
- (void)enterO2OPageFromController:(UIViewController *)controller isPush:(BOOL)isPush;

/// 尝试免登（需要参数）
- (void)tryLoginWithUserId:(NSString *)userId completion:(void (^)(NSString *url))completion;

@end

